<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
<!-- 2021-12-03 Fri 15:43 -->
<meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<title>Welcome To Distro.Tube</title>
<meta name="author" content="dt" />
<meta name="description" content="DistroTube.com - Official Site of DistroTube and DTOS
Header
Header" />
<meta name="generator" content="Org Mode" />
<style>
  #content { max-width: 60em; margin: auto; }
  .title  { text-align: center;
             margin-bottom: .2em; }
  .subtitle { text-align: center;
              font-size: medium;
              font-weight: bold;
              margin-top:0; }
  .todo   { font-family: monospace; color: red; }
  .done   { font-family: monospace; color: green; }
  .priority { font-family: monospace; color: orange; }
  .tag    { background-color: #eee; font-family: monospace;
            padding: 2px; font-size: 80%; font-weight: normal; }
  .timestamp { color: #bebebe; }
  .timestamp-kwd { color: #5f9ea0; }
  .org-right  { margin-left: auto; margin-right: 0px;  text-align: right; }
  .org-left   { margin-left: 0px;  margin-right: auto; text-align: left; }
  .org-center { margin-left: auto; margin-right: auto; text-align: center; }
  .underline { text-decoration: underline; }
  #postamble p, #preamble p { font-size: 90%; margin: .2em; }
  p.verse { margin-left: 3%; }
  pre {
    border: 1px solid #e6e6e6;
    border-radius: 3px;
    background-color: #f2f2f2;
    padding: 8pt;
    font-family: monospace;
    overflow: auto;
    margin: 1.2em;
  }
  pre.src {
    position: relative;
    overflow: auto;
  }
  pre.src:before {
    display: none;
    position: absolute;
    top: -8px;
    right: 12px;
    padding: 3px;
    color: #555;
    background-color: #f2f2f299;
  }
  pre.src:hover:before { display: inline; margin-top: 14px;}
  /* Languages per Org manual */
  pre.src-asymptote:before { content: 'Asymptote'; }
  pre.src-awk:before { content: 'Awk'; }
  pre.src-authinfo::before { content: 'Authinfo'; }
  pre.src-C:before { content: 'C'; }
  /* pre.src-C++ doesn't work in CSS */
  pre.src-clojure:before { content: 'Clojure'; }
  pre.src-css:before { content: 'CSS'; }
  pre.src-D:before { content: 'D'; }
  pre.src-ditaa:before { content: 'ditaa'; }
  pre.src-dot:before { content: 'Graphviz'; }
  pre.src-calc:before { content: 'Emacs Calc'; }
  pre.src-emacs-lisp:before { content: 'Emacs Lisp'; }
  pre.src-fortran:before { content: 'Fortran'; }
  pre.src-gnuplot:before { content: 'gnuplot'; }
  pre.src-haskell:before { content: 'Haskell'; }
  pre.src-hledger:before { content: 'hledger'; }
  pre.src-java:before { content: 'Java'; }
  pre.src-js:before { content: 'Javascript'; }
  pre.src-latex:before { content: 'LaTeX'; }
  pre.src-ledger:before { content: 'Ledger'; }
  pre.src-lisp:before { content: 'Lisp'; }
  pre.src-lilypond:before { content: 'Lilypond'; }
  pre.src-lua:before { content: 'Lua'; }
  pre.src-matlab:before { content: 'MATLAB'; }
  pre.src-mscgen:before { content: 'Mscgen'; }
  pre.src-ocaml:before { content: 'Objective Caml'; }
  pre.src-octave:before { content: 'Octave'; }
  pre.src-org:before { content: 'Org mode'; }
  pre.src-oz:before { content: 'OZ'; }
  pre.src-plantuml:before { content: 'Plantuml'; }
  pre.src-processing:before { content: 'Processing.js'; }
  pre.src-python:before { content: 'Python'; }
  pre.src-R:before { content: 'R'; }
  pre.src-ruby:before { content: 'Ruby'; }
  pre.src-sass:before { content: 'Sass'; }
  pre.src-scheme:before { content: 'Scheme'; }
  pre.src-screen:before { content: 'Gnu Screen'; }
  pre.src-sed:before { content: 'Sed'; }
  pre.src-sh:before { content: 'shell'; }
  pre.src-sql:before { content: 'SQL'; }
  pre.src-sqlite:before { content: 'SQLite'; }
  /* additional languages in org.el's org-babel-load-languages alist */
  pre.src-forth:before { content: 'Forth'; }
  pre.src-io:before { content: 'IO'; }
  pre.src-J:before { content: 'J'; }
  pre.src-makefile:before { content: 'Makefile'; }
  pre.src-maxima:before { content: 'Maxima'; }
  pre.src-perl:before { content: 'Perl'; }
  pre.src-picolisp:before { content: 'Pico Lisp'; }
  pre.src-scala:before { content: 'Scala'; }
  pre.src-shell:before { content: 'Shell Script'; }
  pre.src-ebnf2ps:before { content: 'ebfn2ps'; }
  /* additional language identifiers per "defun org-babel-execute"
       in ob-*.el */
  pre.src-cpp:before  { content: 'C++'; }
  pre.src-abc:before  { content: 'ABC'; }
  pre.src-coq:before  { content: 'Coq'; }
  pre.src-groovy:before  { content: 'Groovy'; }
  /* additional language identifiers from org-babel-shell-names in
     ob-shell.el: ob-shell is the only babel language using a lambda to put
     the execution function name together. */
  pre.src-bash:before  { content: 'bash'; }
  pre.src-csh:before  { content: 'csh'; }
  pre.src-ash:before  { content: 'ash'; }
  pre.src-dash:before  { content: 'dash'; }
  pre.src-ksh:before  { content: 'ksh'; }
  pre.src-mksh:before  { content: 'mksh'; }
  pre.src-posh:before  { content: 'posh'; }
  /* Additional Emacs modes also supported by the LaTeX listings package */
  pre.src-ada:before { content: 'Ada'; }
  pre.src-asm:before { content: 'Assembler'; }
  pre.src-caml:before { content: 'Caml'; }
  pre.src-delphi:before { content: 'Delphi'; }
  pre.src-html:before { content: 'HTML'; }
  pre.src-idl:before { content: 'IDL'; }
  pre.src-mercury:before { content: 'Mercury'; }
  pre.src-metapost:before { content: 'MetaPost'; }
  pre.src-modula-2:before { content: 'Modula-2'; }
  pre.src-pascal:before { content: 'Pascal'; }
  pre.src-ps:before { content: 'PostScript'; }
  pre.src-prolog:before { content: 'Prolog'; }
  pre.src-simula:before { content: 'Simula'; }
  pre.src-tcl:before { content: 'tcl'; }
  pre.src-tex:before { content: 'TeX'; }
  pre.src-plain-tex:before { content: 'Plain TeX'; }
  pre.src-verilog:before { content: 'Verilog'; }
  pre.src-vhdl:before { content: 'VHDL'; }
  pre.src-xml:before { content: 'XML'; }
  pre.src-nxml:before { content: 'XML'; }
  /* add a generic configuration mode; LaTeX export needs an additional
     (add-to-list 'org-latex-listings-langs '(conf " ")) in .emacs */
  pre.src-conf:before { content: 'Configuration File'; }

  table { border-collapse:collapse; }
  caption.t-above { caption-side: top; }
  caption.t-bottom { caption-side: bottom; }
  td, th { vertical-align:top;  }
  th.org-right  { text-align: center;  }
  th.org-left   { text-align: center;   }
  th.org-center { text-align: center; }
  td.org-right  { text-align: right;  }
  td.org-left   { text-align: left;   }
  td.org-center { text-align: center; }
  dt { font-weight: bold; }
  .footpara { display: inline; }
  .footdef  { margin-bottom: 1em; }
  .figure { padding: 1em; }
  .figure p { text-align: center; }
  .equation-container {
    display: table;
    text-align: center;
    width: 100%;
  }
  .equation {
    vertical-align: middle;
  }
  .equation-label {
    display: table-cell;
    text-align: right;
    vertical-align: middle;
  }
  .inlinetask {
    padding: 10px;
    border: 2px solid gray;
    margin: 10px;
    background: #ffffcc;
  }
  #org-div-home-and-up
   { text-align: right; font-size: 70%; white-space: nowrap; }
  textarea { overflow-x: auto; }
  .linenr { font-size: smaller }
  .code-highlighted { background-color: #ffff00; }
  .org-info-js_info-navigation { border-style: none; }
  #org-info-js_console-label
    { font-size: 10px; font-weight: bold; white-space: nowrap; }
  .org-info-js_search-highlight
    { background-color: #ffff00; color: #000000; font-weight: bold; }
  .org-svg { width: 90%; }
</style>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/htmlize.css"/>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/readtheorg.css"/>
<script src="httpss://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="httpss://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/lib/js/jquery.stickytableheaders.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/readtheorg_theme/js/readtheorg.js"></script>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/htmlize.css"/>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/readtheorg.css"/>
<script src="httpss://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="httpss://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/lib/js/jquery.stickytableheaders.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/readtheorg_theme/js/readtheorg.js"></script>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/htmlize.css"/>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/readtheorg.css"/>
<script src="httpss://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="httpss://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/lib/js/jquery.stickytableheaders.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/readtheorg_theme/js/readtheorg.js"></script>
</head>
<body>
<div id="content" class="content">
<h1 class="title">Welcome To Distro.Tube</h1>
<div id="table-of-contents" role="doc-toc">
<h2>Table of Contents</h2>
<div id="text-table-of-contents" role="doc-toc">
<ul>
<li><a href="#orgf23721a">Welcome</a></li>
<li><a href="#org7925f78">DT on the web</a></li>
<li><a href="#orgb871ccf">DT&rsquo;s Video Library</a></li>
<li><a href="#org8d69efe">DT&rsquo;s Articles</a></li>
<li><a href="#orgc26c138">Guest Articles</a>
<ul>
<li><a href="#org1509478">Footer</a></li>
</ul>
</li>
</ul>
</div>
</div>
<table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


<colgroup>
<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />
</colgroup>
<tbody>
<tr>
<td class="org-left"><a href="index.html">Home</a></td>
<td class="org-left"><a href="dtos/index.html">DTOS</a></td>
<td class="org-left"><a href="kb/index.html">Knowledge Base</a></td>
<td class="org-left"><a href="community/index.html">Community</a></td>
<td class="org-left"><a href="contribute/index.html">Contribute</a></td>
<td class="org-left"><a href="support/index.html">Support DT&rsquo;s Work</a></td>
</tr>
</tbody>
</table>

<div id="org8ba38e9" class="figure">
<p><img src="https://distro.tube/img/logo.png" alt="DistroTube" title="DistroTube" style="float:left;margin-bottom:20px;" class="banner" />
</p>
</div>

<div id="outline-container-orgf23721a" class="outline-2">
<h2 id="orgf23721a">Welcome</h2>
<div class="outline-text-2" id="text-orgf23721a">
<p>
DistroTube.com is a site created by Derek Taylor (DT), creator of the DistroTube (DT) video channel on YouTube and Odysee (LBRY).  I create videos about GNU/Linux, free software, open source software and related interests.  This site was created in <code>Emacs</code> and written in <code>Org Mode</code>.  I use Org Export to convert the &ldquo;org&rdquo; files into HTML, and I based the design on the popular &ldquo;ReadTheOrg&rdquo; theme from <a href="https://github.com/fniessen/org-html-themes">Org-HTML-Themes</a>
</p>
</div>
</div>

<div id="outline-container-org7925f78" class="outline-2">
<h2 id="org7925f78">DT on the web</h2>
<div class="outline-text-2" id="text-org7925f78">
<ul class="org-ul">
<li><a href="https://youtube.com/DistroTube">DistroTube on YouTube</a></li>
<li><a href="https://odysee.com/@DistroTube:2">DistroTube on Odysee (LBRY)</a></li>
<li><a href="https://patreon.com/distrotube/">Support DT on Patreon</a></li>
<li><a href="https://gitlab.com/dwt1/">DT&rsquo;s GitLab</a></li>
<li><a href="https://gitlab.com/dwt1/distro.tube">Submit Guest Articles On GitLab</a></li>
</ul>
</div>
</div>

<div id="outline-container-orgb871ccf" class="outline-2">
<h2 id="orgb871ccf">DT&rsquo;s Video Library</h2>
<div class="outline-text-2" id="text-orgb871ccf">
<p>
Here are links to my videos hosted on Odysee (LBRY), a free and open source alternative to YouTube.
</p>

<ul class="org-ul">
<li><a href="videos/2021-videos.html">Videos from 2021</a></li>
<li><a href="videos/2020-videos.html">Videos from 2020</a></li>
<li><a href="videos/2019-videos.html">Videos from 2019</a></li>
<li><a href="videos/2018-videos.html">Videos from 2018</a></li>
<li><a href="videos/2017-videos.html">Videos from 2017</a></li>
</ul>
</div>
</div>

<div id="outline-container-org8d69efe" class="outline-2">
<h2 id="org8d69efe">DT&rsquo;s Articles</h2>
<div class="outline-text-2" id="text-org8d69efe">
<p>
Here are some articles written by me that some may find useful.  They are mostly Linux and software-related.
</p>

<ul class="org-ul">
<li><a href="articles/nano-vs-vim.html">Nano or Vim? Which Terminal Text Editor Should You Use?</a> (07-29-2021)</li>
<li><a href="articles/social-media-implements-new-policies.html">Social Media Sites Implement New Policies To Combat Wrong-Think</a> (07-20-2020)</li>
<li><a href="articles/fish-is-the-better-shell.html">Fish Is The Better Shell For More Modern Times</a> (04-09-2020)</li>
<li><a href="articles/give-new-linux-users-ubuntu.html">Give New Linux Users Ubuntu, Not Choice</a> (03-28-2020)</li>
<li><a href="articles/standardized-keybindings-tiling.html">Standardized Keybindings Across All Tiling Window Managers</a> (03-12-2020)</li>
<li><a href="articles/why-linux-users-are-elitist.html">Why Do Most Linux Users Have An Elitist Attitude?</a> (03-07-2020)</li>
<li><a href="articles/file-globbing-in-linux.html">File Globbing In Linux</a> (02-26-2020)</li>
<li><a href="articles/securing-the-firefox-browser.html">Securing The Firefox Web Browser</a> (02-25-2020)</li>
<li><a href="articles/move-your-home-folder-to-second-drive.html">Move Your Home Folder To A Second Drive</a> (02-20-2020)</li>
<li><a href="articles/the-foss-code-of-conduct.html">The FOSS Code Of Conduct</a> (01-20-2020)</li>
<li><a href="articles/seven-things-to-avoid-on-linux.html">Seven Things To Avoid On Linux</a> (01-14-2020)</li>
<li><a href="articles/installing-lets-encrypt-on-ubuntu.html">Installing Let&rsquo;s Encrypt On Your Ubuntu Server</a> (01-04-2020)</li>
</ul>
</div>
</div>

<div id="outline-container-orgc26c138" class="outline-2">
<h2 id="orgc26c138">Guest Articles</h2>
<div class="outline-text-2" id="text-orgc26c138">
<p>
These are guest articles submitted by members of the community.  The source of this site and all of its content is available on my GitLab.  Thus, anyone that wants to submit an article can do so with a pull request.  Since this site is written entirely in <code>Org Mode</code>, to do a pull request, your article must be written in Org.
</p>

<p>
<code>NOTE:</code> If you don&rsquo;t use Emacs/Org, then you can submit articles written in markdown, but don&rsquo;t do a pull request to submit markdown articles.  Instead, just open an issue on GitLab and paste your article in the new issue, and I will convert the markdown into Org.
</p>


<ul class="org-ul">
<li><a href="guest-articles/dynamic-capsules-with-go.html">Building Dynamic Capsules With Go!</a> (05-31-2021) - Tre Babcock</li>
<li><a href="guest-articles/interactive-dotfile-management-dotbare.html">Interactive Dotfile Management With Dotbare</a> (05-25-2020) - Kevin Zhuang</li>
<li><a href="guest-articles/managing-dotfiles-with-rcm.html">Managing Dotfiles With Style With rcm</a> (04-23-2020) - Ronnie Nissan</li>
<li><a href="guest-articles/installing-manjaro-dual-boot.html">Installing Manjaro in Dual Booting Environment</a> (04-22-2020) - Primož Ajdišek &ldquo;Bigpod&rdquo;</li>
<li><a href="guest-articles/installing-and-using-sxhkd.html">Installing And Using sxhkd</a> (04-21-2020) - Ronnie Nissan</li>
<li><a href="guest-articles/using-dwmblocks-with-dwms-bar.html">Using dwmblocks With dwm&rsquo;s Bar</a> (04-20-2020) - Ronnie Nissan</li>
<li><a href="guest-articles/how-to-install-suckless-tools.html">How to Install, Customize and Backup Suckless Tools</a> (04-18-2020) - Ronnie Nissan</li>
<li><a href="guest-articles/its-time-for-new-text-editor.html">It&rsquo;s Time For a New Text Editor</a> (03-20-2020) - Klaus-Dieter Schmatz</li>
<li><a href="guest-articles/vim-plugins-without-manager.html">Vim Plugins Without a Plugin Manager</a> (03-15-2020) - Klaus-Dieter Schmatz</li>
</ul>
</div>

<div id="outline-container-org1509478" class="outline-3">
<h3 id="org1509478">Footer</h3>
<div class="outline-text-3" id="text-org1509478">
<p>
Copyright © 2020-2021 Derek Taylor (DistroTube)
</p>

<p>
This page is licensed under a <a href="https://creativecommons.org/licenses/by-nd/4.0/">Creative Commons Attribution-NoDerivatives 4.0 International License</a> (CC-BY-ND 4.0).
</p>

<p>
The source code for distro.tube can be found on <a href="https://gitlab.com/dwt1/distro.tube">GitLab</a>.  User-submitted contributions to the site are welcome, as long as the contributor agrees to license their submission with the CC-BY-ND 4.0 license.
</p>
</div>
</div>
</div>
</div>
<div id="postamble" class="status">
<p class="author">Author: dt</p>
<p class="date">Created: 2021-12-03 Fri 15:43</p>
</div>
</body>
</html>
